Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 2)
+++ palm/trunk/SOURCE/Makefile	(revision 3)
@@ -8,47 +8,9 @@
 # Former revisions:
 # -----------------
-# $Log: Makefile,v $
+# $Id $
+# RCS Log replace by Id keyword, revision history cleaned up
+#
 # Revision 1.13  2006/08/04 14:45:31  raasch
 # +data_output_ptseries
-#
-# Revision 1.12  2006/04/26 15:10:49  raasch
-# modules.o added to dependencies of user_interface.o
-#
-# Revision 1.11  2006/02/23 13:17:11  raasch
-# +average_3d_data, data_log, sum_up_3d_data,
-# plot_.. renamed data_output_..
-#
-# Revision 1.10  2005/06/26 20:00:15  raasch
-# +interaction_droplets_ptq
-#
-# Revision 1.9  2005/05/18 14:52:20  raasch
-# +netcdf
-#
-# Revision 1.8  2004/04/30 13:15:46  raasch
-# dependencies for calc_spectra changed, +read_3d_binary,
-# leap_frog changed to time_integration, fft_for_1d_decomp to fft_xy,
-# init_pegrid and pres now depend on poisfft, all transpose routines joined
-# to one file transpose, local_getenv depends on modules
-#
-# Revision 1.7  2004/01/28 14:58:55  raasch
-# +timestep_scheme_steering
-#
-# Revision 1.6  2003/10/29 08:21:40  raasch
-# advec_particles, disturb_field, init_particles, init_3d_model, random_gauss
-# and write_3d_binary are using module random_function_mod
-#
-# Revision 1.5  2003/05/09 14:04:39  raasch
-# poisfft depends on fft_for_1d_decomp and no more on singleton,
-# init_pegrid depends on fft_for_1d_decomp, temperton_fft depends on modules
-#
-# Revision 1.4  2003/03/13 08:46:52  raasch
-# fft_for_1d_decomp has to depend on temperton_fft
-#
-# Revision 1.3  2003/03/12 15:57:37  raasch
-# modules and user_interface now depend on the f90 files, dependency of
-# singleton added, LDFLAGS moved to the end of PROG rule, +temperton_fft
-#
-# Revision 1.2  2003/01/06 08:48:19  raasch
-# +local_stop, check_cpu_time renamed to check_for_restart
 #
 # Revision 1.1  2002/06/11 13:42:20  raasch
Index: palm/trunk/SOURCE/advec_particles.f90
===================================================================
--- palm/trunk/SOURCE/advec_particles.f90	(revision 2)
+++ palm/trunk/SOURCE/advec_particles.f90	(revision 3)
@@ -8,5 +8,7 @@
 ! Former revisions:
 ! -----------------
-! $Log: advec_particles.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.32  2007/02/11 12:48:20  raasch
 ! Allways the lower level k is used for interpolation
Index: palm/trunk/SOURCE/advec_s_bc.f90
===================================================================
--- palm/trunk/SOURCE/advec_s_bc.f90	(revision 2)
+++ palm/trunk/SOURCE/advec_s_bc.f90	(revision 3)
@@ -8,49 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: advec_s_bc.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.22  2006/02/23 09:42:08  raasch
 ! anz renamed ngp
-!
-! Revision 1.21  2003/03/16 09:22:13  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.20  2002/12/19 13:41:50  raasch
-! STOP statement replaced by call of subroutine local_stop
-!
-! Revision 1.19  2001/03/29 17:29:52  raasch
-! Result is stored as tendency on tend, sk_p is now a local array, rho is
-! replaced by d
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.18  2001/01/22 04:25:52  raasch
-! Module test_variables removed
-!
-! Revision 1.17  2000/07/03 12:54:35  raasch
-! Arguments rho, sk and sk_p now declared as pointers
-!
-! Revision 1.16  2000/04/27 07:03:07  raasch
-! Treatment at cyclic boundaries is simplified by adding one additional
-! ghost layer to tend at each cyclic boundary. Result is that most of
-! mpi_sendrecv-calls (for polynom-coefficients, switches and fluxes) are no
-! more necessary so that much cpu-time is spared.
-! Adjustment of cyclic boundaries in x-direction in case of a sloping surface
-! (temperature only).
-! Vertical boundary conditions for humidity added.
-!
-! Revision 1.15  2000/01/20 09:07:01  letzel
-! All comments translated into English
-!
-! Revision 1.14  1999/02/17 09:01:38  raasch
-! Verfahren erweitert fuer TKE-Advektion
-! Dichteberechnung (Korrekturverfahren) korrigiert (Galilei-Abzug war falsch)
-!
-! Revision 1.10  1998/04/21 15:51:34  raasch
-! Galilei-Transformation eingebaut
-!
-! Revision 1.4  1997/09/08 10:42:35  raasch
-! Optimierungen im Exponentialteil, MIN/MAX-Bildung aus progn. Gleichung
-! entfernt, sw und m1 auf t3e einfach genau definiert, ffmax aus progn.
-! Gleichung entfernt (Skalarfeld wird glatter im gradientschwachen Bereich)
-! Geschwindigkeitsgewinn: ca 32%
 !
 ! Revision 1.1  1997/08/29 08:53:46  raasch
Index: palm/trunk/SOURCE/advec_s_pw.f90
===================================================================
--- palm/trunk/SOURCE/advec_s_pw.f90	(revision 2)
+++ palm/trunk/SOURCE/advec_s_pw.f90	(revision 3)
@@ -8,41 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: advec_s_pw.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.12  2006/02/23 09:42:55  raasch
 ! nzb_2d replaced by nzb_s_inner
-!
-! Revision 1.11  2004/01/30 10:10:03  raasch
-! Scalar lower k index nzb replaced by 2d-array nzb_2d
-!
-! Revision 1.10  2003/03/12 16:15:32  raasch
-! Full code replaced in the call for all gridpoints instead of calling the
-! _ij version (required by NEC, because otherwise no vectorization)
-!
-! Revision 1.9  2002/06/11 12:22:14  raasch
-! Former subroutine changed to a module which allows to be called for all grid
-! points of a single vertical column with index i,j or for all grid points by
-! using function overloading.
-! Array sk now declared as a pointer.
-!
-! Revision 1.8  2001/03/29 17:30:14  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.7  2001/01/22 04:41:39  raasch
-! Module test_variables removed
-!
-! Revision 1.6  2000/01/20 09:13:33  letzel
-! All comments translated into English
-!
-! Revision 1.5  1998/07/06 12:03:09  raasch
-! + USE test_variables
-!
-! Revision 1.4  1998/04/21 15:51:53  raasch
-! Galilei-Transformation eingebaut
-!
-! Revision 1.3  1998/02/10 14:57:53  raasch
-! Es wird jetzt grundsaetzlich die Form C3 verwendet
-!
-! Revision 1.2  1997/09/09 08:27:10  raasch
-! Kehrwerte der Gitterweiten implementiert
 !
 ! Revision 1.1  1997/08/29 08:54:20  raasch
Index: palm/trunk/SOURCE/advec_s_up.f90
===================================================================
--- palm/trunk/SOURCE/advec_s_up.f90	(revision 2)
+++ palm/trunk/SOURCE/advec_s_up.f90	(revision 3)
@@ -8,38 +8,9 @@
 ! Forner revisions:
 ! -----------------
-! $Log: advec_s_up.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.11  2006/02/23 09:43:44  raasch
 ! nzb_2d replaced by nzb_s_inner
-!
-! Revision 1.10  2004/01/30 10:10:39  raasch
-! Scalar lower k index nzb replaced by 2d-array nzb_2d
-!
-! Revision 1.9  2003/03/12 16:16:25  raasch
-! Full code replaced in the call for all gridpoints instead of calling the
-! _ij version (required by NEC, because otherwise no vectorization)
-!
-! Revision 1.8  2002/06/11 12:23:31  raasch
-! Former subroutine changed to a module which allows to be called for all grid
-! points of a single vertical column with index i,j or for all grid points by
-! using function overloading.
-! Array sk now declared as a pointer.
-!
-! Revision 1.7  2001/03/29 17:30:31  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.6  2001/01/22 04:43:56  raasch
-! Module test_variables removed
-!
-! Revision 1.5  2000/01/20 09:16:59  letzel
-! All comments translated into English
-!
-! Revision 1.4  1998/07/06 12:03:46  raasch
-! + USE test_variables
-!
-! Revision 1.3  1998/04/21 15:52:14  raasch
-! Galilei-Transformation eingebaut
-!
-! Revision 1.2  1997/09/09 08:27:24  raasch
-! Kehrwerte der Gitterweiten implementiert
 !
 ! Revision 1.1  1997/08/29 08:54:33  raasch
Index: palm/trunk/SOURCE/advec_s_ups.f90
===================================================================
--- palm/trunk/SOURCE/advec_s_ups.f90	(revision 2)
+++ palm/trunk/SOURCE/advec_s_ups.f90	(revision 3)
@@ -8,21 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: advec_s_ups.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.6  2004/04/30 08:02:43  raasch
 ! Enlarged transposition arrays introduced
-!
-! Revision 1.5  2003/03/16 09:23:56  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.4  2001/03/29 17:34:05  raasch
-! v_ad is now allocated locally, several temporary arrays removed from
-! argument lists of spline_* and long_filter_*
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.3  2001/01/22 04:46:10  raasch
-! Module test_variables removed
-!
-! Revision 1.2  2000/01/20 09:28:52  letzel
-! All comments translated into English
 !
 ! Revision 1.1  1999/02/05 08:44:47  raasch
Index: palm/trunk/SOURCE/advec_u_pw.f90
===================================================================
--- palm/trunk/SOURCE/advec_u_pw.f90	(revision 2)
+++ palm/trunk/SOURCE/advec_u_pw.f90	(revision 3)
@@ -8,35 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: advec_u_pw.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.15  2006/02/23 09:44:21  raasch
 ! nzb_2d replaced by nzb_u_inner
-!
-! Revision 1.14  2005/03/26 14:49:31  raasch
-! Extension of horizontal loop upper bounds for non-cyclic boundary conditions
-!
-! Revision 1.13  2004/01/30 10:11:21  raasch
-! Scalar lower k index nzb replaced by 2d-array nzb_2d
-!
-! Revision 1.12  2003/03/12 16:17:06  raasch
-! Full code replaced in the call for all gridpoints instead of calling the
-! _ij version (required by NEC, because otherwise no vectorization)
-!
-! Revision 1.11  2002/06/11 12:25:00  raasch
-! Former subroutine changed to a module which allows to be called for all grid
-! points of a single vertical column with index i,j or for all grid points by
-! using function overloading.
-!
-! Revision 1.10  2001/03/29 17:34:21  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.9  2001/01/22 04:55:36  raasch
-! Module test_variables removed
-!
-! Revision 1.8  2000/01/20 09:34:26  letzel
-! All comments translated into English
-!
-! Revision 1.7  1998/08/05 06:47:04  raasch
-! Alle Gitterpunkte gleich behandelt (keine zentralen Differenzenquotienten
-! mehr bei Vertikaladvektion bei k=1)
 !
 ! Revision 1.1  1997/08/11 06:09:21  raasch
Index: palm/trunk/SOURCE/advec_u_up.f90
===================================================================
--- palm/trunk/SOURCE/advec_u_up.f90	(revision 2)
+++ palm/trunk/SOURCE/advec_u_up.f90	(revision 3)
@@ -8,40 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: advec_u_up.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.12  2006/02/23 09:45:04  raasch
 ! nzb_2d replaced by nzb_u_inner
-!
-! Revision 1.11  2005/03/26 14:50:43  raasch
-! Extension of horizontal loop upper bounds for non-cyclic boundary conditions
-!
-! Revision 1.10  2004/01/30 10:11:47  raasch
-! Scalar lower k index nzb replaced by 2d-array nzb_2d
-!
-! Revision 1.9  2003/03/12 16:17:42  raasch
-! Full code replaced in the call for all gridpoints instead of calling the
-! _ij version (required by NEC, because otherwise no vectorization)
-!
-! Revision 1.8  2002/06/11 12:25:43  raasch
-! Former subroutine changed to a module which allows to be called for all grid
-! points of a single vertical column with index i,j or for all grid points by
-! using function overloading.
-!
-! Revision 1.7  2001/03/29 17:35:08  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.6  2001/01/22 04:57:23  raasch
-! Module test_variables removed
-!
-! Revision 1.5  2000/01/20 09:40:00  letzel
-! All comments translated into English
-!
-! Revision 1.4  1998/07/06 12:04:43  raasch
-! + USE test_variables
-!
-! Revision 1.3  1998/04/21 15:52:51  raasch
-! Galilei-Transformation eingebaut
-!
-! Revision 1.2  1997/09/09 08:27:49  raasch
-! Kehrwerte der Gitterweiten implementiert
 !
 ! Revision 1.1  1997/08/29 08:55:25  raasch
Index: palm/trunk/SOURCE/advec_u_ups.f90
===================================================================
--- palm/trunk/SOURCE/advec_u_ups.f90	(revision 2)
+++ palm/trunk/SOURCE/advec_u_ups.f90	(revision 3)
@@ -8,21 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: advec_u_ups.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.6  2004/04/30 08:03:19  raasch
 ! Enlarged transposition arrays introduced
-!
-! Revision 1.5  2003/03/16 09:25:07  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.4  2001/03/29 17:35:32  raasch
-! v_ad is now allocated locally, several temporary arrays removed from
-! argument lists of spline_* and long_filter_*
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.3  2001/01/22 04:59:29  raasch
-! Module test_variables removed
-!
-! Revision 1.2  2000/01/20 09:46:52  letzel
-! All comments translated into English
 !
 ! Revision 1.1  1999/02/05 08:49:08  raasch
Index: palm/trunk/SOURCE/advec_v_pw.f90
===================================================================
--- palm/trunk/SOURCE/advec_v_pw.f90	(revision 2)
+++ palm/trunk/SOURCE/advec_v_pw.f90	(revision 3)
@@ -8,35 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: advec_v_pw.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.15  2006/02/23 09:46:08  raasch
 ! nzb_2d replaced by nzb_v_inner
-!
-! Revision 1.14  2005/03/26 14:52:51  raasch
-! Extension of horizontal loop upper bounds for non-cyclic boundary conditions
-!
-! Revision 1.13  2004/01/30 10:12:25  raasch
-! Scalar lower k index nzb replaced by 2d-array nzb_2d
-!
-! Revision 1.12  2003/03/12 16:18:19  raasch
-! Full code replaced in the call for all gridpoints instead of calling the
-! _ij version (required by NEC, because otherwise no vectorization)
-!
-! Revision 1.11  2002/06/11 12:26:18  raasch
-! Former subroutine changed to a module which allows to be called for all grid
-! points of a single vertical column with index i,j or for all grid points by
-! using function overloading.
-!
-! Revision 1.10  2001/03/29 17:36:06  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.9  2001/01/22 05:14:48  raasch
-! Module test_variables removed
-!
-! Revision 1.8  2000/01/20 10:16:37  letzel
-! All comments translated into English
-!
-! Revision 1.7  1998/08/05 06:49:43  raasch
-! Alle Gitterpunkte gleich behandelt (keine zentralen Differenzenquotienten mehr
-! bei Vertikaladvektion bei k=1)
 !
 ! Revision 1.1  1997/08/11 06:09:57  raasch
Index: palm/trunk/SOURCE/advec_v_up.f90
===================================================================
--- palm/trunk/SOURCE/advec_v_up.f90	(revision 2)
+++ palm/trunk/SOURCE/advec_v_up.f90	(revision 3)
@@ -8,40 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: advec_v_up.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.12  2006/02/23 09:46:37  raasch
 ! nzb_2d replaced by nzb_v_inner
-!
-! Revision 1.11  2005/03/26 14:55:59  raasch
-! Extension of horizontal loop upper bounds for non-cyclic boundary conditions
-!
-! Revision 1.10  2004/01/30 10:12:45  raasch
-! Scalar lower k index nzb replaced by 2d-array nzb_2d
-!
-! Revision 1.9  2003/03/12 16:19:00  raasch
-! Full code replaced in the call for all gridpoints instead of calling the
-! _ij version (required by NEC, because otherwise no vectorization)
-!
-! Revision 1.8  2002/06/11 12:26:48  raasch
-! Former subroutine changed to a module which allows to be called for all grid
-! points of a single vertical column with index i,j or for all grid points by
-! using function overloading.
-!
-! Revision 1.7  2001/03/29 17:36:22  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.6  2001/01/22 05:16:19  raasch
-! Module test_variables removed
-!
-! Revision 1.5  2000/01/20 10:20:31  letzel
-! All comments translated into English
-!
-! Revision 1.4  1998/07/06 12:05:37  raasch
-! + USE test_variables
-!
-! Revision 1.3  1998/04/21 15:53:36  raasch
-! Galilei-Transformation eingebaut
-!
-! Revision 1.2  1997/09/09 08:28:21  raasch
-! Kehrwerte der Gitterweiten implementiert
 !
 ! Revision 1.1  1997/08/29 08:56:05  raasch
Index: palm/trunk/SOURCE/advec_v_ups.f90
===================================================================
--- palm/trunk/SOURCE/advec_v_ups.f90	(revision 2)
+++ palm/trunk/SOURCE/advec_v_ups.f90	(revision 3)
@@ -8,22 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: advec_v_ups.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.7  2004/04/30 08:03:52  raasch
 ! Enlarged transposition arrays introduced
-!
-! Revision 1.6  2003/03/16 09:25:59  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.5  2001/03/29 17:36:43  raasch
-! v_ad is now allocated locally, several temporary arrays removed from
-! argument lists of spline_* and long_filter_*
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.4  2001/01/22 08:31:10  raasch
-! Module test_variables removed
-!
-!
-! Revision 1.2  2000/01/20 09:52:54  letzel
-! All comments translated into English
 !
 ! Revision 1.1  1999/02/05 08:50:32  raasch
Index: palm/trunk/SOURCE/advec_w_pw.f90
===================================================================
--- palm/trunk/SOURCE/advec_w_pw.f90	(revision 2)
+++ palm/trunk/SOURCE/advec_w_pw.f90	(revision 3)
@@ -8,32 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: advec_w_pw.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.15  2006/02/23 09:47:01  raasch
 ! nzb_2d replaced by nzb_w_inner
-!
-! Revision 1.14  2004/01/30 10:13:07  raasch
-! Scalar lower k index nzb replaced by 2d-array nzb_2d
-!
-! Revision 1.13  2003/03/12 16:19:29  raasch
-! Full code replaced in the call for all gridpoints instead of calling the
-! _ij version (required by NEC, because otherwise no vectorization)
-!
-! Revision 1.12  2002/06/11 12:27:33  raasch
-! Former subroutine changed to a module which allows to be called for all grid
-! points of a single vertical column with index i,j or for all grid points by
-! using function overloading.
-!
-! Revision 1.11  2001/03/29 17:37:10  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.10  2001/01/22 05:19:42  raasch
-! Module test_variables removed
-!
-! Revision 1.9  2000/01/20 10:18:31  letzel
-! All comments translated into English
-!
-! Revision 1.8  1998/08/05 06:51:10  raasch
-! Alle Gitterpunkte werden gleich behandelt (keine zentralen Differenzenquotien-
-! ten mehr bei Vertikaladvektion bei k=1)
 !
 ! Revision 1.1  1997/08/11 06:10:29  raasch
Index: palm/trunk/SOURCE/advec_w_up.f90
===================================================================
--- palm/trunk/SOURCE/advec_w_up.f90	(revision 2)
+++ palm/trunk/SOURCE/advec_w_up.f90	(revision 3)
@@ -8,37 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: advec_w_up.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.11  2006/02/23 09:47:23  raasch
 ! *** empty log message ***
-!
-! Revision 1.10  2004/01/30 10:13:31  raasch
-! Scalar lower k index nzb replaced by 2d-array nzb_2d
-!
-! Revision 1.9  2003/03/12 16:20:07  raasch
-! Full code replaced in the call for all gridpoints instead of calling the
-! _ij version (required by NEC, because otherwise no vectorization)
-!
-! Revision 1.8  2002/06/11 12:28:33  raasch
-! Former subroutine changed to a module which allows to be called for all grid
-! points of a single vertical column with index i,j or for all grid points by
-! using function overloading.
-!
-! Revision 1.7  2001/03/29 17:37:31  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.6  2001/01/22 05:21:01  raasch
-! Module test_variables removed
-!
-! Revision 1.5  2000/01/20 10:22:08  letzel
-! All comments translated into English
-!
-! Revision 1.4  1998/07/06 12:06:25  raasch
-! + USE test_variables
-!
-! Revision 1.3  1998/04/21 15:54:20  raasch
-! Galilei-Transformation eingebaut
-!
-! Revision 1.2  1997/09/09 08:28:55  raasch
-! Kehrwerte der Gitterweiten implementiert
 !
 ! Revision 1.1  1997/08/29 08:56:33  raasch
Index: palm/trunk/SOURCE/advec_w_ups.f90
===================================================================
--- palm/trunk/SOURCE/advec_w_ups.f90	(revision 2)
+++ palm/trunk/SOURCE/advec_w_ups.f90	(revision 3)
@@ -8,21 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: advec_w_ups.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.6  2004/04/30 08:05:05  raasch
 ! Enlarged transposition arrays introduced
-!
-! Revision 1.5  2003/03/16 09:26:46  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.4  2001/03/29 17:37:53  raasch
-! v_ad is now allocated locally, several temporary arrays removed from
-! argument lists of spline_* and long_filter_*
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.3  2001/01/22 05:23:31  raasch
-! Module test_variables removed
-!
-! Revision 1.2  2000/01/20 09:57:15  letzel
-! All comments translated into English
 !
 ! Revision 1.1  1999/02/05 08:52:09  raasch
Index: palm/trunk/SOURCE/asselin_filter.f90
===================================================================
--- palm/trunk/SOURCE/asselin_filter.f90	(revision 2)
+++ palm/trunk/SOURCE/asselin_filter.f90	(revision 3)
@@ -1,5 +1,5 @@
  SUBROUTINE asselin_filter
 
-!-------------------------------------------------------------------------------!
+!------------------------------------------------------------------------------!
 ! Actual revisions:
 ! -----------------
@@ -8,26 +8,9 @@
 ! Former revisions:
 ! ---------------------
-! $Log: asselin_filter.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.8  2004/01/30 10:14:02  raasch
 ! Scalar lower k index nzb replaced by 2d-array nzb_2d
-!
-! Revision 1.7  2003/03/16 09:26:58  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.6  2003/03/14 13:37:38  raasch
-! Do loop constructs only for IBM, otherwise array notation re-introduced
-!
-! Revision 1.5  2002/12/19 13:45:57  raasch
-! Array notation changed to do-loop constructs due to better performance,
-! OpenMP directives added
-!
-! Revision 1.4  2002/05/15 10:00:18  raasch
-! Nothing changed
-!
-! Revision 1.3  2002/05/02  19:39:07  19:39:07  raasch (Siegfried Raasch)
-! Use of module interfaces included
-! 
-! Revision 1.2  2002/05/02 14:06:02  raasch
-! *** empty log message ***
 !
 ! Revision 1.1  2002/05/02  13:43:53  13:43:53  raasch (Siegfried Raasch)
@@ -38,5 +21,5 @@
 ! -------------
 ! Time filter needed for the leap-frog method
-!-------------------------------------------------------------------------------!
+!------------------------------------------------------------------------------!
 
     USE arrays_3d
Index: palm/trunk/SOURCE/average_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/average_3d_data.f90	(revision 2)
+++ palm/trunk/SOURCE/average_3d_data.f90	(revision 3)
@@ -8,5 +8,7 @@
 ! Former revisions:
 ! -----------------
-! $Log: average_3d_data.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.1  2006/02/23 09:48:58  raasch
 ! Initial revision
Index: palm/trunk/SOURCE/boundary_conds.f90
===================================================================
--- palm/trunk/SOURCE/boundary_conds.f90	(revision 2)
+++ palm/trunk/SOURCE/boundary_conds.f90	(revision 3)
@@ -8,5 +8,7 @@
 ! Former revisions:
 ! -----------------
-! $Log: boundary_conds.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.15  2006/02/23 09:54:55  raasch
 ! Surface boundary conditions in case of topography: nzb replaced by
@@ -14,49 +16,4 @@
 ! unchanged (still using nzb) because a non-flat topography must use a
 ! Prandtl-layer, which don't requires explicit setting of the surface values.
-!
-! Revision 1.14  2005/06/29 09:49:40  steinfeld
-! Baroclinicity considered in the Dirichlet boundary condition for u and v at
-! the top boundary
-!
-! Revision 1.13  2005/04/23 08:35:30  raasch
-! Error removed in Dirichlet bottom boundary conditions for pt and q in case
-! of Runge-Kutta schemes. So far, new surface values have been taken from
-! timelevel t-dt, which does not exist in case of Runge-Kutta schemes.
-!
-! Revision 1.12  2005/03/26 14:58:24  raasch
-! Non-cyclic boundary conditions included, argument range added
-!
-! Revision 1.11  2001/03/30 06:54:18  raasch
-! Timelevel t+dt replaced by timelevel t,
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.10  2001/01/29 12:19:27  raasch
-! Passive scalar is considered
-!
-! Revision 1.9  2001/01/22 05:25:56  raasch
-! Module test_variables removed
-!
-! Revision 1.8  2000/07/04 14:07:59  raasch
-! Missing diriclet boundary conditions for temperature and total water
-! content added
-!
-! Revision 1.7  2000/04/13 13:56:05  schroeter
-! Boundaray conditions for total water content
-!
-! Revision 1.6  2000/01/20  10:44:48  10:44:48  letzel (Marcus Letzel)
-! All comments translated into English
-! 
-! Revision 1.5  2000/01/10 09:28:53  raasch
-! Variablenuebergabe jetzt per Modul
-! Randbedingungen fuer w im Rahmen der pointer-Einfuehrung
-!
-! Revision 1.4  1998/07/06 12:07:05  raasch
-! + USE test_variables
-!
-! Revision 1.3  1998/03/10 07:19:37  raasch
-! Beschreibung ergaenzt um Randbedingung fuer TKE
-!
-! Revision 1.2  1997/09/19 07:39:03  raasch
-! Randbedingungen fuer TKE
 !
 ! Revision 1.1  1997/09/12 06:21:34  raasch
Index: palm/trunk/SOURCE/buoyancy.f90
===================================================================
--- palm/trunk/SOURCE/buoyancy.f90	(revision 2)
+++ palm/trunk/SOURCE/buoyancy.f90	(revision 3)
@@ -8,66 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: buoyancy.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.19  2006/04/26 12:09:56  raasch
 ! OpenMP optimization (one dimension added to sums_l)
-!
-! Revision 1.18  2006/02/23 09:55:33  raasch
-! nzb_2d replaced by nzb_s_inner/outer, nanz_2dh(0) replaced by
-! ngp_2dh_outer(:,0)
-!
-! Revision 1.17  2005/12/06 15:29:16  raasch
-! Mean pt profile is calculated only in case of the first intermediate timestep
-!
-! Revision 1.16  2004/01/30 10:14:31  raasch
-! Scalar lower k index nzb replaced by 2d-array nzb_2d
-!
-! Revision 1.15  2003/10/29 08:41:47  raasch
-! Horizontal mean temperature is now taken from array hom instead of array sums
-!
-! Revision 1.14  2003/03/16 09:27:22  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.13  2003/03/12 16:20:47  raasch
-! Full code replaced in the call for all gridpoints instead of calling the
-! _ij version (required by NEC, because otherwise no vectorization)
-!
-! Revision 1.12  2002/12/19 13:47:38  raasch
-! STOP statement replaced by call of subroutine local_stop
-!
-! Revision 1.11  2002/06/11 12:33:07  raasch
-! Former subroutine changed to a module which allows to be called for all grid
-! points of a single vertical column with index i,j or for all grid points by
-! using function overloading.
-! Calculation of the horizontally averaged temperature profile moved to new
-! subroutine calc_mean_pt_profile, which is part of this module.
-!
-! Revision 1.10  2001/03/30 06:54:56  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.9  2001/01/22 05:27:03  raasch
-! Module test_variables removed
-!
-! Revision 1.8  2000/07/03 12:55:56  raasch
-! Argument theta declared as pointer
-!
-! Revision 1.7  2000/04/27 07:04:19  raasch
-! in case of a sloping surface the temperature difference is computed relative
-! to the initial (2D) temperature field
-!
-! Revision 1.6  2000/04/13 14:27:34  schroeter
-! considering the influence of humidity to the buoyancy term
-! (only for sloping_surface = false),
-!
-! Revision 1.5  2000/01/21  16:17:23  16:17:23  letzel (Marcus Letzel)
-! All comments translated into English
-! 
-! Revision 1.4  1998/09/22 17:16:22  raasch
-! Auftriebsterm erweitert fuer Rechnungen mit geneigter Ebene
-!
-! Revision 1.3  1998/07/06 12:07:27  raasch
-! + USE test_variables
-!
-! Revision 1.2  1998/03/30 11:33:29  raasch
-! nanz_2dh in nanz_2dh(0) geaendert
 !
 ! Revision 1.1  1997/08/29 08:56:48  raasch
Index: palm/trunk/SOURCE/calc_liquid_water_content.f90
===================================================================
--- palm/trunk/SOURCE/calc_liquid_water_content.f90	(revision 2)
+++ palm/trunk/SOURCE/calc_liquid_water_content.f90	(revision 3)
@@ -8,18 +8,11 @@
 ! Former revisions:
 ! -----------------
-! $Log: calc_liquid_water_content.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.5  2005/03/26 15:22:06  raasch
 ! Arguments for non-cyclic boundary conditions added to argument list of
 ! routine exchange_horiz,
 ! ql calculated for the ghost points, exchange of ghost points removed
-!
-! Revision 1.4  2004/01/30 10:15:13  raasch
-! Scalar lower k index nzb replaced by 2d-array nzb_2d
-!
-! Revision 1.3  2001/01/22 05:30:59  raasch
-! Module test_variables removed
-!
-! Revision 1.2  2000/06/13 07:49:32  schroeter
-! Horizontal boundary conditions (cyclic) of ql will be set now
 !
 ! Revision 1.1  2000/04/13 14:50:45  schroeter
Index: palm/trunk/SOURCE/calc_precipitation.f90
===================================================================
--- palm/trunk/SOURCE/calc_precipitation.f90	(revision 2)
+++ palm/trunk/SOURCE/calc_precipitation.f90	(revision 3)
@@ -8,19 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: calc_precipitation.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.5  2004/01/30 10:15:57  raasch
 ! Scalar lower k index nzb replaced by 2d-array nzb_2d
-!
-! Revision 1.4  2003/03/12 16:21:23  raasch
-! Full code replaced in the call for all gridpoints instead of calling the
-! _ij version (required by NEC, because otherwise no vectorization)
-!
-! Revision 1.3  2002/06/11 12:38:58  raasch
-! Former subroutine changed to a module which allows to be called for all grid
-! points of a single vertical column with index i,j or for all grid points by
-! using function overloading.
-!
-! Revision 1.2  2001/01/22 05:32:25  raasch
-! Module test_variables removed
 !
 ! Revision 1.1  2000/04/13 14:45:22  schroeter
